<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="whr-add-videos">
  <title>How to Add Video and Audio Objects in DITA WebHelp Output</title>
  <titlealts product="webhelp-responsive">
    <navtitle>How to Add Video and Audio Objects</navtitle>
  </titlealts>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
          >WebHelp Responsive <indexterm>Adding videos</indexterm></indexterm>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
          >WebHelp Responsive <indexterm>Adding audio objects</indexterm></indexterm>
        <indexterm product="webhelp-responsive ope">Adding videos</indexterm>
        <indexterm product="webhelp-responsive ope">Adding audio objects</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_ic4_cgk_54b">You can insert references to video and audio media resources (such as videos, audio clips, or
      embedded HTML frames) in your DITA topics and then publish them to WebHelp output. The media
      objects can be played directly in all HTML5-based outputs, including WebHelp systems.</p>
    <p id="p_jc4_cgk_54b">To add media objects in the WebHelp output generated from DITA documents, follow the
      procedures below.</p>
    <section id="adding_videos_to_webhelp_generated_from_dita_maps">
      <title>Adding Videos to DITA WebHelp Output</title>
      <ol id="ul_htk_g1y_cr">
        <li product="author editor authorEclipse editorEclipse" id="li_kc4_cgk_54b">Edit the DITA topic and insert a
          reference to the video through one of the following methods:<ul id="ul_lc4_cgk_54b">
            <li id="li_mc4_cgk_54b">Use the <xref href="dita-adding-media.dita#dita-adding-media"><uicontrol><image
                    href="../img/InsertMedia16.png"/>Insert Media Object</uicontrol> toolbar
                action</xref>.</li>
            <li id="li_nc4_cgk_54b">Drag (or copy) the video file from your system explorer or the <xref
                href="using-the-project-view.dita#using-the-project-view" format="dita"><uicontrol
                  product="author editor">Project</uicontrol><uicontrol
                  product="authorEclipse editorEclipse">Project Explorer</uicontrol> view</xref> and drop
              (or paste) it into your document.</li>
            <li id="li_oc4_cgk_54b">Manually add an <xmlelement>object</xmlelement> element, as in one of the following
              examples:<codeblock  id="codeblock_pc4_cgk_54b">&lt;object outputclass="video" type="video/mp4" data="MyVideo.mp4"/></codeblock>or,
              instead of the <xmlatt>data</xmlatt> attribute, you can specify the video using a
              parameter like
              this:<codeblock  id="codeblock_qc4_cgk_54b">&lt;object outputclass="video"&gt;
  &lt;param name="src" value="videos/MyVideo.mp4"/&gt;
&lt;/object&gt;</codeblock></li>
          </ul></li>
        <li product="developer developerEclipse webhelp-responsive ope" id="li_rc4_cgk_54b">Edit the DITA topic and
          insert a reference to the video by adding an <xmlelement>object</xmlelement> element, as
          in one of the following
          examples:<codeblock  id="codeblock_sc4_cgk_54b">&lt;object outputclass="video" type="video/mp4" data="MyVideo.mp4"/></codeblock>or,
          instead of the <xmlatt>data</xmlatt> attribute, you can specify the video using a
          parameter like
          this:<codeblock  id="codeblock_tc4_cgk_54b">&lt;object outputclass="video"&gt;
  &lt;param name="src" value="videos/MyVideo.mp4"/&gt;
&lt;/object&gt;</codeblock></li>
        <li id="li_uc4_cgk_54b">Apply a <b>DITA to WebHelp</b> transformation to obtain the output.</li>
      </ol>
      <p id="p_vc4_cgk_54b"><b>Result:</b> The transformation converts the <xmlelement>object</xmlelement> element to
        an HTML5 <xmlelement>video</xmlelement>
        element.<codeblock  id="codeblock_wc4_cgk_54b">&lt;video controls="controls">&lt;source type="video/mp4" src="MyVideo.mp4">&lt;/source>
&lt;/video></codeblock></p>
    </section>
    <section id="adding_audio_clips_to_webhelp_responsive_output">
      <title>Adding Audio Clips to DITA WebHelp Output</title>
      <ol id="ol_xc4_cgk_54b">
        <li product="author editor authorEclipse editorEclipse" id="li_yc4_cgk_54b">Edit the DITA topic and insert a
          reference to the audio clip through one of the following methods:<ul id="ul_zc4_cgk_54b">
            <li id="li_ad4_cgk_54b">Use the <xref href="dita-adding-media.dita#dita-adding-media"><uicontrol><image
                    href="../img/InsertMedia16.png"/>Insert Media Object</uicontrol> toolbar
                action</xref>.</li>
            <li id="li_bd4_cgk_54b">Drag (or copy) the audio file from your system explorer or the <xref
                href="using-the-project-view.dita#using-the-project-view" format="dita"><uicontrol
                  product="author editor">Project</uicontrol><uicontrol
                  product="authorEclipse editorEclipse">Project Explorer</uicontrol> view</xref> and drop
              (or paste) it into your document.</li>
            <li id="li_cd4_cgk_54b">Manually add an <xmlelement>object</xmlelement> element, as in one of the following
              examples:<codeblock  id="codeblock_dd4_cgk_54b">&lt;object outputclass="audio" type="audio/mpeg" data="MyClip.mp3"/></codeblock>or,
              instead of the <xmlatt>data</xmlatt> attribute, you can specify the video using a
              parameter like
              this:<codeblock  id="codeblock_ed4_cgk_54b">&lt;object outputclass="audio"&gt;
  &lt;param name="src" value="audio/MyClip.mp3"/&gt;
&lt;/object&gt;</codeblock></li>
          </ul></li>
        <li product="developer developerEclipse webhelp-responsive ope" id="li_fd4_cgk_54b">Edit the DITA topic and
          insert a reference to the audio clip by adding an <xmlelement>object</xmlelement> element,
          as in one of the following
          examples:<codeblock  id="codeblock_gd4_cgk_54b">&lt;object outputclass="audio" type="audio/mpeg" data="MyClip.mp3"/></codeblock>or,
          instead of the <xmlatt>data</xmlatt> attribute, you can specify the video using a
          parameter like
          this:<codeblock  id="codeblock_hd4_cgk_54b">&lt;object outputclass="audio"&gt;
  &lt;param name="src" value="audio/MyClip.mp3"/&gt;
&lt;/object&gt;</codeblock></li>
        <li id="li_id4_cgk_54b">Apply a <b>DITA to WebHelp</b> transformation to obtain the output.</li>
      </ol>
      <p id="p_jd4_cgk_54b"><b>Result:</b> The transformation converts the <xmlelement>object</xmlelement> element to
        an HTML5 <xmlelement>audio</xmlelement>
        element.<codeblock  id="codeblock_kd4_cgk_54b">&lt;audio controls="controls">&lt;source type="audio/mpeg" src="MyClip.mp3">&lt;/source>
&lt;/audio></codeblock></p>
    </section>
    <section id="adding_embedded_html_frames_such_as_youtube_video">
      <title>Adding Embedded HTML Frames (such as YouTube videos) to DITA WebHelp Output</title>
      <ol id="ol_ld4_cgk_54b">
        <li id="li_md4_cgk_54b">Edit the DITA topic and insert a reference to the embedded object <ph
            product="author editor authorEclipse editorEclipse">by using the <xref
              href="dita-adding-media.dita#dita-adding-media"><uicontrol><image
                  href="../img/InsertMedia16.png"/>Insert Media Object</uicontrol> toolbar
              action</xref> or </ph>by manually adding an <xmlelement>object</xmlelement> element,
          as in one of the following
          examples:<codeblock  id="codeblock_nd4_cgk_54b">&lt;object outputclass="iframe" data="https://www.youtube.com/embed/m_vv2s5Trn4"/></codeblock>or,
          instead of the <xmlatt>data</xmlatt> attribute, you can specify the object using a
          parameter like
          this:<codeblock  id="codeblock_od4_cgk_54b">&lt;object outputclass="iframe"&gt;
  &lt;param name="src" value="http://www.youtube.com/embed/m_vv2s5Trn4"/&gt;
&lt;/object&gt;</codeblock></li>
        <li id="li_pd4_cgk_54b">If you want the video to be allowed to play in full screen mode once the document is
          converted to XHTML output, also add an <codeph>allowfullscreen</codeph> parameter and set
          its value to
            <b>true</b>:<codeblock  id="codeblock_qd4_cgk_54b">&lt;object outputclass="iframe" data="https://www.youtube.com/embed/m_vv2s5Trn4"/>
  &lt;param name="allowfullscreen" value="true"/&gt;
&lt;/object&gt;</codeblock><note
            type="tip" product="author editor authorEclipse editorEclipse" id="note_rd4_cgk_54b">If you copy the embed
            code from the source and paste it into the <uicontrol>Insert Media</uicontrol> dialog
            box (see the specific instructions: <xref
              href="dita-adding-media.dita#dita-adding-media/copy-embed-code-tip">here</xref>), the
              <codeph>allowfullscreen</codeph> parameter will automatically be added and all you
            have to do is set the value to <b>true</b>.</note></li>
        <li id="li_sd4_cgk_54b">Apply a <b>DITA to WebHelp</b> transformation to obtain the output.</li>
      </ol>
      <p id="p_td4_cgk_54b"><b>Result:</b> The transformation converts the <xmlelement>object</xmlelement> element to
        an HTML5 <xmlelement>iframe</xmlelement>
        element.<codeblock  id="codeblock_ud4_cgk_54b">&lt;iframe controls="controls" src="https://www.youtube.com/embed/m_vv2s5Trn4">
&lt;/iframe></codeblock></p>
    </section>
    <section id="section_j5y_gx2_w5b" product="author editor authorEclipse editorEclipse">
      <title>Resources</title>
      <p id="p_vd4_cgk_54b">For more information, see the following video demonstration:</p>
      <p id="p_wd4_cgk_54b"><object width="450" height="250"
          data="https://www.youtube.com/embed/llX11gS4WaU" outputclass="iframe">
          <param name="allowfullscreen" value="true"/>
        </object></p>
    </section>
  </body>
  <related-links product="author editor authorEclipse editorEclipse">
    <linklist>
      <title>Related Information:</title>
      <link href="dita-adding-media.dita#dita-adding-media"/>
    </linklist>
  </related-links>
</topic>
